ApiOsDistributionType (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Enum ApiOsDistributionType

- java.lang.Object
- - java.lang.Enum<ApiOsDistributionType>
  - - com.cloudera.api.swagger.model.ApiOsDistributionType

- All Implemented Interfaces:
    Serializable, Comparable<ApiOsDistributionType>

      public enum ApiOsDistributionType
      extends Enum<ApiOsDistributionType>

  Allowed OS distribution types.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ApiOsDistributionType.Adapter`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBIAN_JESSIE`
    `DEBIAN_SQUEEZE`
    `DEBIAN_WHEEZY`
    `RHEL5`
    `RHEL6`
    `RHEL7`
    `RHEL7_PPC64LE`
    `RHEL8`
    `RHEL8_AARCH64`
    `RHEL8_ARM64`
    `RHEL8_PPC64LE`
    `RHEL9`
    `RHEL9_PPC64LE`
    `SLES11`
    `SLES12`
    `SLES15`
    `UBUNTU_BIONIC`
    `UBUNTU_FOCAL`
    `UBUNTU_JAMMY`
    `UBUNTU_LUCID`
    `UBUNTU_MAVERICK`
    `UBUNTU_PRECISE`
    `UBUNTU_TRUSTY`
    `UBUNTU_XENIAL`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApiOsDistributionType` | `fromValue(String input)`
    `String` | `getValue()`
    `String` | `toString()`
    `static ApiOsDistributionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApiOsDistributionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          @SerializedName(value="UNKNOWN")
          public static final ApiOsDistributionType UNKNOWN

    - #### RHEL5

          @SerializedName(value="RHEL5")
          public static final ApiOsDistributionType RHEL5

    - #### RHEL6

          @SerializedName(value="RHEL6")
          public static final ApiOsDistributionType RHEL6

    - #### RHEL7

          @SerializedName(value="RHEL7")
          public static final ApiOsDistributionType RHEL7

    - #### RHEL8

          @SerializedName(value="RHEL8")
          public static final ApiOsDistributionType RHEL8

    - #### RHEL9

          @SerializedName(value="RHEL9")
          public static final ApiOsDistributionType RHEL9

    - #### SLES11

          @SerializedName(value="SLES11")
          public static final ApiOsDistributionType SLES11

    - #### SLES12

          @SerializedName(value="SLES12")
          public static final ApiOsDistributionType SLES12

    - #### SLES15

          @SerializedName(value="SLES15")
          public static final ApiOsDistributionType SLES15

    - #### DEBIAN_SQUEEZE

          @SerializedName(value="DEBIAN_SQUEEZE")
          public static final ApiOsDistributionType DEBIAN_SQUEEZE

    - #### DEBIAN_WHEEZY

          @SerializedName(value="DEBIAN_WHEEZY")
          public static final ApiOsDistributionType DEBIAN_WHEEZY

    - #### DEBIAN_JESSIE

          @SerializedName(value="DEBIAN_JESSIE")
          public static final ApiOsDistributionType DEBIAN_JESSIE

    - #### UBUNTU_LUCID

          @SerializedName(value="UBUNTU_LUCID")
          public static final ApiOsDistributionType UBUNTU_LUCID

    - #### UBUNTU_MAVERICK

          @SerializedName(value="UBUNTU_MAVERICK")
          public static final ApiOsDistributionType UBUNTU_MAVERICK

    - #### UBUNTU_PRECISE

          @SerializedName(value="UBUNTU_PRECISE")
          public static final ApiOsDistributionType UBUNTU_PRECISE

    - #### UBUNTU_TRUSTY

          @SerializedName(value="UBUNTU_TRUSTY")
          public static final ApiOsDistributionType UBUNTU_TRUSTY

    - #### UBUNTU_XENIAL

          @SerializedName(value="UBUNTU_XENIAL")
          public static final ApiOsDistributionType UBUNTU_XENIAL

    - #### UBUNTU_BIONIC

          @SerializedName(value="UBUNTU_BIONIC")
          public static final ApiOsDistributionType UBUNTU_BIONIC

    - #### UBUNTU_FOCAL

          @SerializedName(value="UBUNTU_FOCAL")
          public static final ApiOsDistributionType UBUNTU_FOCAL

    - #### UBUNTU_JAMMY

          @SerializedName(value="UBUNTU_JAMMY")
          public static final ApiOsDistributionType UBUNTU_JAMMY

    - #### RHEL7_PPC64LE

          @SerializedName(value="RHEL7_PPC64LE")
          public static final ApiOsDistributionType RHEL7_PPC64LE

    - #### RHEL8_PPC64LE

          @SerializedName(value="RHEL8_PPC64LE")
          public static final ApiOsDistributionType RHEL8_PPC64LE

    - #### RHEL9_PPC64LE

          @SerializedName(value="RHEL9_PPC64LE")
          public static final ApiOsDistributionType RHEL9_PPC64LE

    - #### RHEL8_AARCH64

          @SerializedName(value="RHEL8_AARCH64")
          public static final ApiOsDistributionType RHEL8_AARCH64

    - #### RHEL8_ARM64

          @SerializedName(value="RHEL8_ARM64")
          public static final ApiOsDistributionType RHEL8_ARM64

  - ### Method Detail

    - #### values

          public static ApiOsDistributionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApiOsDistributionType c : ApiOsDistributionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApiOsDistributionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ApiOsDistributionType>`

    - #### fromValue

          public static ApiOsDistributionType fromValue(String input)

Copyright © 2026. All rights reserved.